Page MenuHomePhabricator

Add call to action on final step of Upload Wizard
Closed, ResolvedPublic

Description

Users will be guided to the Suggested Tags page via a CTA on the final step of Upload Wizard. We need to design this UI element and text, then build it out. Some questions:

  1. What will the CTA say?
  2. Where will it be located?
  3. Where will it point to (i.e. which tab of the Suggested Tags page)?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterMachineVision: Show UploadWizard CTA on testcommonswiki
operations/mediawiki-config : masterMachineVision: Show UploadWizard CTA in beta
mediawiki/extensions/UploadWizard : masterAdd Machine Vision CTA to final step
mediawiki/extensions/UploadWizard : wmf/1.35.0-wmf.5Add Machine Vision CTA to final step

Event Timeline

AnneT created this task.Oct 8 2019, 4:41 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 8 2019, 4:41 PM
AnneT moved this task from Backlog to Needs design on the Machine vision board.Oct 8 2019, 4:47 PM
AnneT moved this task from To Do to Needs Design on the Structured-Data-Backlog board.

What are the product requirements for this, @Ramsey-WMF? What's the call to action here?

  • To prompt users to opt in to the tool?
  • To send them to the CAT project page for more info, and then ask them to opt in on that page?
  • To get them to start tagging popular images?

I look forward to starting this ticket when I have a little more detail.

There are two goals for the call to action in UploadWizard, one main one and one "stretch"

MAIN GOAL: Get Uploaders to opt-in to notifications that their uploads have suggested tags and are ready for review. Images will be analyzed regardless, but notifications about it won't happen unless the user opts in. Ideally, we want the ability to set the opt-in preference on the call to action page and avoid the need for the user to have to go to preferences (although this is a viable backup plan if we have to go that route for technical reasons)

STRETCH GOAL: Direct users to the Suggested Tags page. Users may be less interested in that page since their just-uploaded files won't be there (although past uploaded files might be), but it's still a good idea to let them know where things are. I'd say the main product motivation here is awareness. We don't want to be too pushy. Hopefully people visit the tool and like what they see, but we don't want to go with the hard sell. The next question is whether we allow users to dismiss this part of the CTA so they don't keep seeing it. I'd prefer to keep it omnipresent, but let's discuss pros and cons.

What are the product requirements for this, @Ramsey-WMF? What's the call to action here?

  • To prompt users to opt in to the tool?
  • To send them to the CAT project page for more info, and then ask them to opt in on that page?
  • To get them to start tagging popular images?

I look forward to starting this ticket when I have a little more detail.

I've been iterating on these designs with some feedback from Ramsey and the design team. Would love feedback on them and I will be sharing at Design Review formally this Thursday: https://wikimedia.invisionapp.com/freehand/document/YqFTBkVy6

AnneT claimed this task.Oct 24 2019, 7:58 PM
AnneT added a subscriber: PDrouin-WMF.

Thanks for the design Pam! As discussed in our meeting today, I'll move forward on building this, but we'll wait to merge the work until after we're done testing on prod with a select group of users (so other users don't see the CTA that leads to nothing).

Change 547038 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/UploadWizard@master] Add Machine Vision CTA to final step

https://gerrit.wikimedia.org/r/547038

Change 547038 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add Machine Vision CTA to final step

https://gerrit.wikimedia.org/r/547038

AnneT moved this task from In development to Done on the Machine vision board.Nov 14 2019, 5:03 PM

Change 552334 had a related patch set uploaded (by Mholloway; owner: Anne Tomasevich):
[mediawiki/extensions/UploadWizard@wmf/1.35.0-wmf.5] Add Machine Vision CTA to final step

https://gerrit.wikimedia.org/r/552334

Change 552334 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@wmf/1.35.0-wmf.5] Add Machine Vision CTA to final step

https://gerrit.wikimedia.org/r/552334

Mentioned in SAL (#wikimedia-operations) [2019-11-21T21:29:37Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/UploadWizard: Add Machine Vision CTA to final step (T234960) (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2019-11-21T21:42:46Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/UploadWizard: Revert "Add Machine Vision CTA to final step (T234960)", take 2 (duration: 00m 41s)

Change 553153 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] MachineVision: Show UploadWizard CTA on testcommonswiki

https://gerrit.wikimedia.org/r/553153

Change 553154 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] MachineVision: Show UploadWizard CTA in beta

https://gerrit.wikimedia.org/r/553154

Change 553154 merged by jenkins-bot:
[operations/mediawiki-config@master] MachineVision: Show UploadWizard CTA in beta

https://gerrit.wikimedia.org/r/553154

Mentioned in SAL (#wikimedia-operations) [2019-11-26T17:56:29Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: MachineVision: Show UploadWizard CTA in beta (T234960) (duration: 00m 52s)

Change 553153 merged by jenkins-bot:
[operations/mediawiki-config@master] MachineVision: Show UploadWizard CTA on testcommonswiki

https://gerrit.wikimedia.org/r/553153

Mentioned in SAL (#wikimedia-operations) [2019-11-27T00:05:34Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: MachineVision: Show UploadWizard CTA on testcommonswiki (T234960) (duration: 01m 00s)

Ramsey-WMF closed this task as Resolved.Dec 13 2019, 11:21 PM

Verified as working on production (caveat: if you've previously enabled the preference for this in Preferences, you won't see the CTA notice even if you disable it in preferences)